@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.tag {
  padding-left: 8px;
  padding-right: 8px;
  border-radius: 10.5px;
  font-size: 12px;
  line-height: 18px;
  user-select: none;

  .addon-before {
    margin-right: 4px;
  }

  .addon-after {
    margin-left: 4px;
  }
}

@include themify("tag", $themes) {
  font-family: themed("font-family");
  background-color: themed("text-secondary");
  color: themed("background");

  &.tag-focus {
    background-color: themed("status-focus");
  }

  &.tag-active {
    background-color: themed("status-active");
  }

  &.tag-danger {
    background-color: themed("status-danger");
  }

  &.tag-busy {
    background-color: themed("status-busy");
  }
}
